# PetscMPIAbortErrorHandler

Calls MPI_abort() and exits.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscMPIAbortErrorHandler(int line,const char *fun,const char *file,const char *dir,PetscErrorCode n,int p,const char *mess,void *ctx)

Not Collective

### Input Parameters

| line | - the line number of the error (indicated by __LINE__)
| fun | - the function where the error occurred (indicated by __FUNCT__)
| file | - the file in which the error was detected (indicated by __FILE__)
| dir | - the directory of the file (indicated by __SDIR__)
| mess | - an error text string, usually just printed to the screen
| n | - the generic error number
| p | - the specific error number
| ctx | - error handler context

### Notes

Most users need not directly employ this routine and the other error handlers, but can instead use the simplified interface SETERRQ, which has the calling sequence

        SETERRQ(n,p,mess)

### Notes for experienced users

Use PetscPushErrorHandler() to set the desired error handler. The currently available PETSc error handlers include PetscTraceBackErrorHandler(), PetscMPIAbortErrorHandler(), PetscAttachDebuggerErrorHandler(), and PetscAbortErrorHandler().

### See Also

PetscPushErrorHandler(), PetscAttachDebuggerErrorHandler(),
PetscAbortErrorHandler(), PetscTraceBackErrorHandler()

Level:developer
Location:src/sys/error/errstop.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages